=== debian/changelog ===
carla (2.5.5-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Build with standard wine packages instead of wine-development.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 09 Jun 2023 13:00:37 -0700

carla (2.5.5-0ubuntu1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy (LP: #2022875)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 04 Jun 2023 21:13:47 -0700

carla (2.5.5-0ubuntu1) mantic; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.5.5

  [ Filipe Coelho ]
  * Allow IPC during plugin discovery (controlled by external tools)
  * Expose a few extra APIs in carla-utils library
  * Install extra carla-utils related headers during make install
  * Fix invalid/empty LV2 paths for compatibility with lilv
  * Fix LV2 plugin state for plugin bridges
  * Fix showing engine device settings on systems without JACK
  * Remove use of REAL_BUILD macro, no longer needed
  * Tweaks for integration in OBS
  * Other minor fixes and cleanup

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 04 Jun 2023 16:39:48 -0700
