=== source/plugin/Makefile ===
--- 
+++ 
@@ -134,9 +134,17 @@
 SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_native_patchbay32_plugin
 SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_native_patchbay64_plugin
 SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_native_patchbay_cv_plugin
+SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_native_patchbay_cv8_plugin
+SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_native_patchbay_cv32_plugin
+SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_native_patchbay_obs_plugin
 SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_create_native_plugin_host_handle
 SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_host_handle_free
 SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_native_plugin_engine
+SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_complete_license_text
+SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_juce_version
+SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_supported_file_extensions
+SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_supported_features
+SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_library_filename
 SYMBOLS_NATIVE += -Wl,-exported_symbol,_carla_get_library_folder
 SYMBOLS_LV2     = -Wl,-exported_symbol,_lv2_descriptor
 ifeq ($(HAVE_PYQT),true)
@@ -152,9 +160,18 @@
 SYMBOLS_NATIVE += 'carla_get_native_patchbay32_plugin',
 SYMBOLS_NATIVE += 'carla_get_native_patchbay64_plugin',
 SYMBOLS_NATIVE += 'carla_get_native_patchbay_cv_plugin',
+SYMBOLS_NATIVE += 'carla_get_native_patchbay_cv8_plugin',
+SYMBOLS_NATIVE += 'carla_get_native_patchbay_cv32_plugin',
+SYMBOLS_NATIVE += 'carla_get_native_patchbay_obs_plugin',
 SYMBOLS_NATIVE += 'carla_create_native_plugin_host_handle',
 SYMBOLS_NATIVE += 'carla_host_handle_free',
-SYMBOLS_NATIVE += 'carla_get_native_plugin_engine'
+SYMBOLS_NATIVE += 'carla_get_native_plugin_engine',
+SYMBOLS_NATIVE += 'carla_get_complete_license_text',
+SYMBOLS_NATIVE += 'carla_get_juce_version',
+SYMBOLS_NATIVE += 'carla_get_supported_file_extensions',
+SYMBOLS_NATIVE += 'carla_get_supported_features',
+SYMBOLS_NATIVE += 'carla_get_library_filename',
+SYMBOLS_NATIVE += 'carla_get_library_folder'
 SYMBOLS_NATIVE += ]"
 ifeq ($(HAVE_PYQT),true)
 SYMBOLS_LV2     = -sSIDE_MODULE=2 -sEXPORTED_FUNCTIONS="['lv2_descriptor','lv2ui_descriptor']"
@@ -317,22 +334,3 @@
 	@echo "Linking carla.lv2/carla-ui$(LIB_EXT)"
 	$(SILENT)$(CXX) $< $(BUILD_CXX_FLAGS) $(LIBS_START) $(LIBS_ui) $(LIBS_END) $(SHARED) $(SYMBOLS_LV2_UI) $(NATIVE_LINK_FLAGS) -o $@
 
-# ---------------------------------------------------------------------------------------------------------------------
-
-$(BINDIR)/carla-%.lv2/manifest.ttl: $(DATADIR)/lv2-bundles/%/*.ttl
-	-@mkdir -p $(shell dirname $@)
-	$(SILENT)cp -v $^ $(shell dirname $@)
-
-$(BINDIR)/carla-audiogain.lv2/carla$(LIB_EXT): $(OBJDIR)/carla-lv2-bundles.cpp.audiogain.o $(MODULEDIR)/native-plugins_audiogain.a
-	-@mkdir -p $(BINDIR)/carla-audiogain.lv2
-	@echo "Linking carla-audiogain.lv2/carla$(LIB_EXT)"
-	$(SILENT)$(CXX) $^ $(BUILD_CXX_FLAGS) $(SHARED) $(SYMBOLS_LV2) $(BUNDLE_LIBS) $(LINK_FLAGS) -ldl -o $@
-
-$(BINDIR)/carla-files.lv2/carla$(LIB_EXT): $(OBJDIR)/carla-lv2-bundles.cpp.files.o $(MODULEDIR)/native-plugins_files.a
-	-@mkdir -p $(BINDIR)/carla-files.lv2
-	@echo "Linking carla-files.lv2/carla$(LIB_EXT)"
-	$(SILENT)$(CXX) $^ $(BUILD_CXX_FLAGS) $(SHARED) $(SYMBOLS_LV2) $(BUNDLE_FILES_LIBS) $(LINK_FLAGS) -o $@
-
-$(BINDIR)/carla-miditools.lv2/carla$(LIB_EXT): $(OBJDIR)/carla-lv2-bundles.cpp.miditools.o $(MODULEDIR)/native-plugins_miditools.a
-	-@mkdir -p $(BINDIR)/carla-miditools.lv2
-	@echo "Linking carla-miditools.lv2/carla$(LIB_EXT)"
