=== debian/changelog ===
carla (2.5.6-0ubuntu1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy. (LP: #2030302)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 05 Aug 2023 20:58:31 -0700

carla (2.5.6-0ubuntu1) mantic; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.5.6
  * d/control: Switch wine-development for standard wine
  * d/rules: Reflect change to standard wine

  [ Filipe Coelho ]
  * Fix compatibility of plugin discovery with newer 2.6.x tools
  * Fix crash when using JACK under Linux ARM
  * Fix carla-lv2 pre-run with 0 frames
  * Fix carla-vst GUI for high-dpi screens
  * Fix carla-native-plugin library exported symbols
  * Show custom error message when trying to start JACK driver without JACK
  * Skip special treatment for LADISH (do not set session management hints)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 05 Aug 2023 18:12:26 -0700
