=== debian/changelog ===
carla (2.5.7-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add override to disable dh-dwz to avoid FTBFS on Buster.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Oct 2023 21:47:56 -0700

carla (2.5.7-0ubuntu1) mantic; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream bugfix release (LP: #2037787)

  [ Filipe Coelho ]
  * Allow configuration of Carla client name when headless (via CARLA_CLIENT_NAME env var)
  * Fix save missing LV2 files
  * Fix some wine bridge details

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 30 Sep 2023 08:35:21 -0700
