=== debian/control ===
--- 
+++ 
@@ -50,8 +50,8 @@
          python3-pyqt5,
          python3-pyqt5.qtsvg,
          ${misc:Depends},
-         ${shlibs:Depends},
-         carla-lv2, carla-vst, python3-pyqt5.qtopengl, python3-rdflib
+         ${shlibs:Depends}
+Recommends: carla-lv2, carla-vst, python3-pyqt5.qtopengl, python3-rdflib
 Description: audio plugin host
  Carla is an audio plugin host, with support for many audio drivers and plugin
  formats. It has some nice features like automation of parameters via MIDI CC
@@ -133,8 +133,8 @@
 Multi-Arch: foreign
 Depends: wine-development | wine-staging | wine-stable | wine,
          ${misc:Depends},
-         ${shlibs:Depends},
-         carla-bridge-win32
+         ${shlibs:Depends}
+Recommends: carla-bridge-win32
 Description: carla win32 bridge (wine DLL)
  This package provides the wine DLL needed for the Carla win32 bridge.
 
@@ -143,8 +143,8 @@
 Multi-Arch: foreign
 Depends: wine-development | wine-staging | wine-stable | wine,
          ${misc:Depends},
-         ${shlibs:Depends},
-         carla-bridge-win64
+         ${shlibs:Depends}
+Recommends: carla-bridge-win64
 Description: carla win64 bridge (wine DLL)
  This package provides the wine DLL needed for the Carla win64 bridge.
