=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PATH:=$(PATH):/usr/lib/wine/
+export PATH:=$(PATH):/usr/lib/wine-development/:/usr/lib/wine/
 
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -13,6 +13,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 CXXFLAGS += -fpermissive
+
+export WINECC=/usr/lib/wine/winegcc
 
 %:
 	dh $@
@@ -29,12 +31,10 @@
 	$(MAKE) $(JOBS)
 
 ifeq ($(ARCH),amd64)
-	WINECC=/usr/lib/wine/winegcc
 	make $(JOBS) posix64 wine64
 	env CFLAGS="" CPPFLAGS="" CXXFLAGS="" LDFLAGS="" \
 		make $(JOBS) win64 CC=x86_64-w64-mingw32-gcc CXX=x86_64-w64-mingw32-g++
 else
-	WINECC=/usr/lib/wine/winegcc
 	make $(JOBS) posix32 wine32
 	env CFLAGS="" CPPFLAGS="" CXXFLAGS="" LDFLAGS="" \
 		make $(JOBS) win32 CC=i686-w64-mingw32-gcc CXX=i686-w64-mingw32-g++
@@ -73,7 +73,7 @@
 	dh_missing --fail-missing
 
 override_dh_shlibdeps:
-	env LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib/x86_64-linux-gnu/wine:/usr/lib/i386-linux-gnu/wine dh_shlibdeps
+	env LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib/x86_64-linux-gnu/wine-development:/usr/lib/x86_64-linux-gnu/wine:/usr/lib/i386-linux-gnu/wine-development:/usr/lib/i386-linux-gnu/wine dh_shlibdeps
 
 override_dh_builddeb:
 	dh_builddeb $(skip_packages)
@@ -86,4 +86,4 @@
 	dh_strip --no-automatic-dbgsym
 
 override_dh_dwz:
-# disable due to FTBS on Buster; too few files to optimize
+	# fails on Buster
